Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.factory
Class TitledBorderFactory

The node must be called with either a value arugment or a title: attribute.
The following attributes are optional.
position: one of "default", "aboveTop", "top", "belowTop", "aboveBottom", "bottom", "belowBottom", or a constant from javax.swing.border.TitledBorder justification: one of "default", "left", "center", "right", "leading", "trailing", or a constant from javax.swing.border.TitledBorder border: javax.swing.Border, some other border, if unset the look and feel default will be used (re color: java.awt.Color the color of the text for the title font: java.awt.Font the font of the text for the title

Field Summary
`Map` | `justifications`
`Map` | `positions`

Constructor Summary
`TitledBorderFactory()`

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

Constructor Detail

### TitledBorderFactory

    TitledBorderFactory()

Method Detail

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)